=== debian/changelog ===
syslinux (3:6.04~git20190206.bf6db5b4+dfsg1-3.2) unstable; urgency=medium

  * Add a very simple smoke autopkgtest that spawns qemu with a syslinux
    image, waiting for the "boot:" prompt.
  * Remove broken debug symbols from syslinux-utils.  (Closes: #1110525)

 -- Philipp Kern <pkern@debian.org>  Mon, 11 Aug 2025 22:22:57 +0200

syslinux (3:6.04~git20190206.bf6db5b4+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add GCC 14 compatibility patch. Thanks to Marek Benc.
    (Closes: #1091027, #1057462)
  * Add wchar_t definition for gnu-efi >= 3.0.16 compatibility.
    (Closes: #994274)
  * Update build dependency on e2fslibs-dev => libext2fs-dev.
  * Update Lintian overrides to match again.

 -- Philipp Kern <pkern@debian.org>  Sun, 13 Apr 2025 11:31:54 +0200

syslinux (3:6.04~git20190206.bf6db5b4+dfsg1-3) unstable; urgency=medium

  * Add patch for compatibility with gcc-10 (Closes: 957858)
  * Update copyright so the correct license is added to com32/gpllib/zzjson/*
  * Update standards version to 4.5.0, no changes needed

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 16 Aug 2020 15:46:13 +0200

syslinux (3:6.04~git20190206.bf6db5b4+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 1:3.60~pre2-1.
  * Update standards version to 4.4.1, no changes needed.

  [ Lukas Schwaighofer ]
  * Switch build-dependency from python2 to python3. (Closes: 938617)
  * Strip memtest and memcpy from libefi.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Mon, 23 Dec 2019 18:17:06 +0100

syslinux (3:6.04~git20190206.bf6db5b4+dfsg1-1) unstable; urgency=medium

  * Import new version (upstream's git state).
    - Update patches and drop those merged upstream.
    - Adjust debian/copyright for new release.
  * Document the justification of lintian overrides.
  * Override new portable-executable lintian check.
  * Bump Standards-Version to 4.3.0.
  * Prevent optimizing the pow() function. (Closes: #918915)

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Wed, 27 Feb 2019 00:35:07 +0100
