=== debian/control ===
Source: syslinux
Section: admin
Priority: optional
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Lukas Schwaighofer <lukas@schwaighofer.name>
Build-Depends:
 debhelper-compat (= 12),
 libext2fs-dev,
 gcc-multilib [amd64 x32],
 libc6-dev-i386 [amd64 x32],
 nasm,
 python3,
 uuid-dev,
Build-Depends-Indep: gnu-efi (>= 3.0.8)
Standards-Version: 4.5.0
Homepage: http://www.syslinux.org/
Vcs-Git: https://salsa.debian.org/images-team/syslinux.git
Vcs-Browser: https://salsa.debian.org/images-team/syslinux

Package: syslinux
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
  mtools,
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (DOS FAT and NTFS bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for DOS FAT and NTFS filesystems
 (SYSLINUX).

Package: syslinux-efi
Architecture: all
Multi-Arch: foreign
Built-Using: ${built:Using}
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (UEFI bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for the Unified Extensible Firmware
 Interface (EFI).

Package: extlinux
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: syslinux-common
Description: collection of bootloaders (Linux ext2/ext3/ext4, btrfs, and xfs bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for Linux ext2/ext3/ext4, btrfs, and xfs
 filesystems (EXTLINUX).

Package: isolinux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: xorriso
Description: collection of bootloaders (ISO 9660 bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for ISO 9660 CD-ROMs (ISOLINUX).

Package: pxelinux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: tftpd-hpa
Description: collection of bootloaders (PXE network bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for PXE network boots (PXELINUX).

Package: syslinux-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: collection of bootloaders (common)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the common files.

Package: syslinux-utils
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libcrypt-passwdmd5-perl,
 libdigest-sha-perl,
Description: collection of bootloaders (utilities)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the auxiliary utilities.
