=== debian/tests/control ===
Tests: smoke
Depends: syslinux, qemu-system-x86, expect, coreutils, dosfstools
Restrictions: allow-stderr
